%define snap	0
%define rel	1

%define major 2
%define libname %mklibname cec %major
%define devname %mklibname cec -d

Name:		libcec
Version:	2.1.1
%if %snap
Release:	%mkrel -c git%{snap} %rel
%else
Release:        %mkrel %rel
%endif
Summary:	Pulse-Eight CEC adapter control library
License:	GPLv2+
Group:		System/Libraries
URL:		http://libcec.pulse-eight.com/
%if %snap
# rm -rf libcec && git clone git://github.com/Pulse-Eight/libcec.git && cd libcec/
# git archive --prefix=libcec-$(date +%Y%m%d)/ --format=tar HEAD | xz > ../libcec-$(date +%Y%m%d).tar.xz
Source0:	%name-%{snap}.tar.xz
%else
Source0:	http://github.com/Pulse-Eight/libcec/archive/libcec-%version.tar.gz
%endif
BuildRequires:	pkgconfig(libudev)
BuildRequires:	lockdev-devel

%description
With libcec you can access your Pulse-Eight CEC adapter.

%package -n cec-utils
Summary: Utilities for Pulse-Eight CEC adapter control
Group: System/Kernel and hardware
# the binaries require the library, but automatic dependency generation doesn't
# catch that
Requires:	%libname = %version

%description -n cec-utils
With libcec you can access your Pulse-Eight CEC adapter.

This package contains the command-line tools to configure and test your
Pulse-Eight CEC adapter.

%package -n %libname
Summary: Shared library for Pulse-Eight CEC adapter control
Group: System/Libraries

%description -n %libname
With libcec you can access your Pulse-Eight CEC adapter.

This package contains the shared library which allows programs to access your
Pulse-Eight CEC adapter.

%package -n %devname
Summary: Development files for %name
Group: Development/C
Requires: %libname = %version
Provides: cec-devel = %version-%release
Provides: %name-devel = %version-%release

%description -n %devname
With libcec you can access your Pulse-Eight CEC adapter.

This package contains the files for developing applications which
will use libcec.


%prep
%if %snap
%setup -q -n %name-%{snap}
%else
%setup -q -c
# Directory name contains git hash :/
cd libcec-*
%endif
%apply_patches

%build
%if !%snap
cd libcec-*
%endif
autoreconf -ifv
%configure2_5x --disable-static

%make

%install
%if !%snap
cd libcec-*
%endif

%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n cec-utils
%{_bindir}/cec-client

%files -n %libname
%{_libdir}/%name.so.%{major}*

%files -n %devname
%{_libdir}/%name.so
%{_libdir}/pkgconfig/%name.pc
%{_includedir}/%name/*.h


%changelog

* Thu Mar 28 2013 colin <colin> 2.1.1-1.mga3
+ Revision: 406066
- New version: 2.1.1 (needed for XBMC)

* Wed Jan 23 2013 fwang <fwang> 2.0.5-3.mga3
+ Revision: 391207
- update rpm group

* Sat Jan 12 2013 umeabot <umeabot> 2.0.5-2.mga3
+ Revision: 356917
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 anssi <anssi> 2.0.5-1.mga3
+ Revision: 343697
- new version 2.0.5

* Sat Sep 29 2012 anssi <anssi> 1.9.0-1.mga3
+ Revision: 300325
- switch to latest release tarball 1.9.0
  o fixes accidental API change
- drop now unneeded API patch

* Mon Sep 17 2012 colin <colin> 1.9.0-0.git20120916.0.1.mga3
+ Revision: 295034
- New version: 1.9.0
- Add patch (submitted upstream) to fix compilation errors.
- Drop an apparently unneeded patch to fix includes.

  + fedya <fedya>
    - files uploaded
    - version update 1.8.1 20120816

* Fri Jun 29 2012 dmorgan <dmorgan> 1.5-0.git20120305.3.mga3
+ Revision: 265030
- Add P1: Fix includes

  + colin <colin>
    - Rebuild against new libudev major

* Mon Jun 04 2012 colin <colin> 1.5-0.git20120305.2.mga3
+ Revision: 253949
- Load the cec library with it's major number (mga#5716)

* Mon Mar 05 2012 doktor5000 <doktor5000> 1.5-0.git20120305.1.mga2
+ Revision: 219378
- imported package libcec, initially created for Mageia

